package com.zhentao.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zhentao.dto.GoodsAddDto;
import com.zhentao.pojo.Goods;
import com.zhentao.service.GoodsService;
import com.zhentao.mapper.GoodsMapper;
import com.zhentao.util.SnowflakeIdWorker;
import com.zhentao.vo.ResultVo;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
* @author lzy
* @description 针对表【goods】的数据库操作Service实现
* @createDate 2025-05-16 09:35:12
*/
@Service
public class GoodsServiceImpl extends ServiceImpl<GoodsMapper, Goods>
    implements GoodsService{

    @Resource
    private GoodsMapper goodsMapper;

    @Override
    public ResultVo AddGoods(GoodsAddDto goodsAddDto) {
        goodsAddDto.setCreatedTime(new Date());
        SnowflakeIdWorker snowflakeIdWorker=new SnowflakeIdWorker(1,1);
        int insert = goodsMapper.insert(new Goods(snowflakeIdWorker.nextId(), goodsAddDto.getGoodsName(), goodsAddDto.getDescriptions(), goodsAddDto.getGoodsImg(), goodsAddDto.getContent(), goodsAddDto.getCreatedTime()));
        return ResultVo.OK(insert,"添加成功");
    }
}




